
QGIS Application - Bug report #17194

Several SAGA tools do not load on QGIS/Processing start

2017-09-25 02:19 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25093

Description

2017-09-25T11:19:29    2    Could not open SAGA algorithm: AddGridValuestoPoints.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: AddGridValuestoShapes.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: AnalyticalHierarchyProcess.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: ArtificialNeuralNetworkClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: BioclimaticVariables.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: BoostingClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: CategoricalCoincidence.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: ClusterAnalysisforGrids.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: CoveredDistance.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: DecisionTreeClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: FastRegionGrowingAlgorithm.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: FuzzyIntersection(AND).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: FuzzyUnion(OR).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: GeographicallyWeightedMultipleRegression(PointsGrids).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: GridsProduct.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: GridsSum.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: GridStatisticsforPoints.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: GridStatisticsforPolygons.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: GridValuestoPoints.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: ISODATAClusteringforGrids.txt
            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: K-MeansClusteringforGrids.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: K-NearestNeighboursClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: Layerofextremevalue.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: MaximumEntropyPresencePrediction.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: MergeLayers.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: Mosaicking.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: Multi-BandVariation.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: MultipleRegressionAnalysis(PointsandPredictorGrids).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: MultipleRegressionAnalysis(PointsGrids).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: NormalBayesClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: OrderedWeightedAveraging(OWA).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: OrdinaryKriging(Global).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: RandomForestClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: RandomForestPresencePrediction(ViGrA).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: RegressionKriging.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: RiverGridGeneration.txt

            'ascii' codec can't decode byte 0xe4 in position 3: ordinal not in range(128)

2017-09-25T11:19:29    2    Could not open SAGA algorithm: SeedGeneration.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: StatisticsforGrids.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: SupervisedClassification.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: SupervisedClassificationforGrids.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: SupportVectorMachineClassification(OpenCV).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:29    2    Could not open SAGA algorithm: SVMClassification.txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:30    2    Could not open SAGA algorithm: UniversalKriging(Global).txt

            ParameterMultipleInput instance has no attribute 'type'

2017-09-25T11:19:30    2    Could not open SAGA algorithm: ZonalMultipleRegressionAnalysis(PointsandPredictorGrids).txt

            ParameterMultipleInput instance has no attribute 'type'

Related issues:

Duplicated by QGIS Application - Bug report # 17190: In QGIS 2.18.13 SAGA ‘Ra... Closed 2017-09-25
History

#1 - 2017-09-25 03:39 PM - Giovanni Manghi

was ok until 2.18.12

#2 - 2017-09-25 05:17 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed here: https://github.com/qgis/QGIS/pull/5252

#3 - 2017-09-28 09:29 AM - Jürgen Fischer

- Duplicated by Bug report #17190: In QGIS 2.18.13 SAGA ‘Raster values to points’ is a no show in Processing added
https://github.com/qgis/QGIS/pull/5252

